import { iconMap } from "./iconMap";
export declare const iconClassMap: {};
export declare const sizesClassMap: {};
export declare const colorsClassMap: {};
export declare type IconNames = keyof typeof iconMap.icons | "longArrowUp" | "longArrowDown" | "remove" | "thumbsDown" | "truck";
export declare type IconColorNames = "white" | "grey" | "greyBlue" | "greyBlueDark" | "blue" | "lightBlue" | "green" | "yellow" | "red" | "navy" | "orange";
export declare type IconSizes = "small" | "base" | "large";
interface IconProps {
    /** The icon to show.  */
    readonly name: IconNames;
    /**
     * Changes the size to small or large.
     * @default base
     */
    readonly size?: IconSizes;
    /**
     * Determines the color of the icon. Some icons have a default system colour
     * like quotes, jobs, and invoices. Others that doesn't have a system colour
     * falls back to greyBlueDark.
     */
    readonly color?: IconColorNames;
}
export declare function getIcon({ name, color, size }: IconProps): {
    readonly svgClassNames: string;
    readonly pathClassNames: string;
    readonly paths: string[];
    readonly viewBox: string;
};
export {};
